#!/usr/bin/python
# pixel_statistics.py
# Jure Skvarc, January 2000
# Perform some simple statistics utilizing script interface to fitsblink

import fitsblink
import sys

# Fitsblink must be started with option -s to know it is in script mode
arguments = ["fitsblink", "-s"] #  Define the command line tokens
argc = len(arguments)          
args = fitsblink.string_array(argc + 1) #  Create an array of chars
#  Put arguments into array
for i in range(argc):
    fitsblink.string_set(args, i, arguments[i])

fitsblink.string_set(args, argc, "")
# Start fitsblink and initialize graphic interface
fitsblink.main0(argc, args)
if fitsblink.load_image(sys.argv[1]) < 0:
    sys.stderr.write("Can't load image " + sys.argv[1])

for j in range(frame[0].fits.height):
    for i in range(frame[0].fits.width):
        print "%4d" % fitsblink.swig_video_point(0, i, j),
    print


while 1:
    fitsblink.loop()
