# This file was created automatically by SWIG.
import fitsblinkc
class STAR:
    def __init__(self,this):
        self.this = this

    def __getitem__(*args):
        val = apply(fitsblinkc.STAR___getitem__,args)
        if val: val = STARPtr(val) ; val.thisown = 1
        return val
    __setmethods__ = {
        "catalog" : fitsblinkc.STAR_catalog_set,
        "catnum" : fitsblinkc.STAR_catnum_set,
        "n" : fitsblinkc.STAR_n_set,
        "m" : fitsblinkc.STAR_m_set,
        "x" : fitsblinkc.STAR_x_set,
        "y" : fitsblinkc.STAR_y_set,
        "sxt" : fitsblinkc.STAR_sxt_set,
        "syt" : fitsblinkc.STAR_syt_set,
        "area" : fitsblinkc.STAR_area_set,
        "ra" : fitsblinkc.STAR_ra_set,
        "dec" : fitsblinkc.STAR_dec_set,
        "sra" : fitsblinkc.STAR_sra_set,
        "sdec" : fitsblinkc.STAR_sdec_set,
        "bluemag" : fitsblinkc.STAR_bluemag_set,
        "redmag" : fitsblinkc.STAR_redmag_set,
        "mag" : fitsblinkc.STAR_mag_set,
        "smag" : fitsblinkc.STAR_smag_set,
        "intensity" : fitsblinkc.STAR_intensity_set,
        "bg" : fitsblinkc.STAR_bg_set,
        "q" : fitsblinkc.STAR_q_set,
        "saturated" : fitsblinkc.STAR_saturated_set,
        "fitmag" : fitsblinkc.STAR_fitmag_set,
        "err" : fitsblinkc.STAR_err_set,
    }
    def __setattr__(self,name,value):
        if (name == "this") or (name == "thisown"): self.__dict__[name] = value; return
        method = STAR.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value
    __getmethods__ = {
        "catalog" : fitsblinkc.STAR_catalog_get,
        "catnum" : fitsblinkc.STAR_catnum_get,
        "catid" : fitsblinkc.STAR_catid_get,
        "n" : fitsblinkc.STAR_n_get,
        "m" : fitsblinkc.STAR_m_get,
        "x" : fitsblinkc.STAR_x_get,
        "y" : fitsblinkc.STAR_y_get,
        "sxt" : fitsblinkc.STAR_sxt_get,
        "syt" : fitsblinkc.STAR_syt_get,
        "area" : fitsblinkc.STAR_area_get,
        "ra" : fitsblinkc.STAR_ra_get,
        "dec" : fitsblinkc.STAR_dec_get,
        "sra" : fitsblinkc.STAR_sra_get,
        "sdec" : fitsblinkc.STAR_sdec_get,
        "bluemag" : fitsblinkc.STAR_bluemag_get,
        "redmag" : fitsblinkc.STAR_redmag_get,
        "mag" : fitsblinkc.STAR_mag_get,
        "smag" : fitsblinkc.STAR_smag_get,
        "intensity" : fitsblinkc.STAR_intensity_get,
        "bg" : fitsblinkc.STAR_bg_get,
        "q" : fitsblinkc.STAR_q_get,
        "saturated" : fitsblinkc.STAR_saturated_get,
        "fitmag" : fitsblinkc.STAR_fitmag_get,
        "err" : fitsblinkc.STAR_err_get,
    }
    def __getattr__(self,name):
        method = STAR.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C STAR instance at %s>" % (self.this,)
class STARPtr(STAR):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = STAR



class STARS:
    def __init__(self,this):
        self.this = this

    def __getitem__(*args):
        val = apply(fitsblinkc.STARS___getitem__,args)
        if val: val = STARPtr(val) ; val.thisown = 1
        return val
    def __len__(*args):
        val = apply(fitsblinkc.STARS___len__,args)
        return val
    __setmethods__ = {
        "n" : fitsblinkc.STARS_n_set,
        "s" : fitsblinkc.STARS_s_set,
        "sp" : fitsblinkc.STARS_sp_set,
    }
    def __setattr__(self,name,value):
        if (name == "this") or (name == "thisown"): self.__dict__[name] = value; return
        method = STARS.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value
    __getmethods__ = {
        "n" : fitsblinkc.STARS_n_get,
        "s" : lambda x : STARPtr(fitsblinkc.STARS_s_get(x)),
        "sp" : fitsblinkc.STARS_sp_get,
    }
    def __getattr__(self,name):
        method = STARS.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C STARS instance at %s>" % (self.this,)
class STARSPtr(STARS):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = STARS



class STATE:
    def __init__(self,this):
        self.this = this

    __setmethods__ = {
        "control_num" : fitsblinkc.STATE_control_num_set,
        "frame_max" : fitsblinkc.STATE_frame_max_set,
        "frame_used" : fitsblinkc.STATE_frame_used_set,
        "disp" : fitsblinkc.STATE_disp_set,
        "bw" : fitsblinkc.STATE_bw_set,
        "bh" : fitsblinkc.STATE_bh_set,
        "gui" : fitsblinkc.STATE_gui_set,
        "blinker" : fitsblinkc.STATE_blinker_set,
        "blinkwidth" : fitsblinkc.STATE_blinkwidth_set,
        "blinkheight" : fitsblinkc.STATE_blinkheight_set,
        "error" : fitsblinkc.STATE_error_set,
        "readme" : fitsblinkc.STATE_readme_set,
        "parameters" : fitsblinkc.STATE_parameters_set,
        "report" : fitsblinkc.STATE_report_set,
        "options" : fitsblinkc.STATE_options_set,
        "catalogs" : fitsblinkc.STATE_catalogs_set,
        "mail" : fitsblinkc.STATE_mail_set,
        "newwcs" : fitsblinkc.STATE_newwcs_set,
        "settings" : fitsblinkc.STATE_settings_set,
        "set_catalogs" : fitsblinkc.STATE_set_catalogs_set,
        "set_observatory" : fitsblinkc.STATE_set_observatory_set,
        "set_display" : fitsblinkc.STATE_set_display_set,
        "set_mail" : fitsblinkc.STATE_set_mail_set,
        "set_help" : fitsblinkc.STATE_set_help_set,
        "set_commands" : fitsblinkc.STATE_set_commands_set,
        "set_asteroid" : fitsblinkc.STATE_set_asteroid_set,
        "set_ccd" : fitsblinkc.STATE_set_ccd_set,
        "set_count" : fitsblinkc.STATE_set_count_set,
        "set_match" : fitsblinkc.STATE_set_match_set,
        "set_misc" : fitsblinkc.STATE_set_misc_set,
        "showcomet" : fitsblinkc.STATE_showcomet_set,
        "telescope" : fitsblinkc.STATE_telescope_set,
        "message" : fitsblinkc.STATE_message_set,
        "matchedobjects" : fitsblinkc.STATE_matchedobjects_set,
        "dss" : fitsblinkc.STATE_dss_set,
        "zoom_width" : fitsblinkc.STATE_zoom_width_set,
        "freeze" : fitsblinkc.STATE_freeze_set,
        "xf" : fitsblinkc.STATE_xf_set,
        "yf" : fitsblinkc.STATE_yf_set,
        "blink" : fitsblinkc.STATE_blink_set,
        "blinknum" : fitsblinkc.STATE_blinknum_set,
        "grey_max" : fitsblinkc.STATE_grey_max_set,
        "color" : fitsblinkc.STATE_color_set,
        "inverse" : fitsblinkc.STATE_inverse_set,
        "logfile" : fitsblinkc.STATE_logfile_set,
        "logfp" : fitsblinkc.STATE_logfp_set,
        "interactive" : fitsblinkc.STATE_interactive_set,
        "verbose" : fitsblinkc.STATE_verbose_set,
        "script" : fitsblinkc.STATE_script_set,
        "doastr" : fitsblinkc.STATE_doastr_set,
        "delay" : fitsblinkc.STATE_delay_set,
        "autolevel_high" : fitsblinkc.STATE_autolevel_high_set,
        "timeout" : fitsblinkc.STATE_timeout_set,
        "wwwbrowser" : fitsblinkc.STATE_wwwbrowser_set,
        "helpfile" : fitsblinkc.STATE_helpfile_set,
        "asteroid_server" : fitsblinkc.STATE_asteroid_server_set,
        "asteroid_id" : fitsblinkc.STATE_asteroid_id_set,
        "asteroid_maxmag" : fitsblinkc.STATE_asteroid_maxmag_set,
        "starlistformat" : fitsblinkc.STATE_starlistformat_set,
        "dss_big" : fitsblinkc.STATE_dss_big_set,
        "dss_server" : fitsblinkc.STATE_dss_server_set,
        "desig" : fitsblinkc.STATE_desig_set,
    }
    def __setattr__(self,name,value):
        if (name == "this") or (name == "thisown"): self.__dict__[name] = value; return
        method = STATE.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value
    __getmethods__ = {
        "control_num" : fitsblinkc.STATE_control_num_get,
        "control" : fitsblinkc.STATE_control_get,
        "frame_max" : fitsblinkc.STATE_frame_max_get,
        "frame_used" : fitsblinkc.STATE_frame_used_get,
        "disp" : fitsblinkc.STATE_disp_get,
        "bw" : fitsblinkc.STATE_bw_get,
        "bh" : fitsblinkc.STATE_bh_get,
        "gui" : fitsblinkc.STATE_gui_get,
        "blinker" : fitsblinkc.STATE_blinker_get,
        "blinkwidth" : fitsblinkc.STATE_blinkwidth_get,
        "blinkheight" : fitsblinkc.STATE_blinkheight_get,
        "browser" : fitsblinkc.STATE_browser_get,
        "error" : fitsblinkc.STATE_error_get,
        "readme" : fitsblinkc.STATE_readme_get,
        "parameters" : fitsblinkc.STATE_parameters_get,
        "report" : fitsblinkc.STATE_report_get,
        "options" : fitsblinkc.STATE_options_get,
        "catalogs" : fitsblinkc.STATE_catalogs_get,
        "mail" : fitsblinkc.STATE_mail_get,
        "newwcs" : fitsblinkc.STATE_newwcs_get,
        "settings" : fitsblinkc.STATE_settings_get,
        "set_catalogs" : fitsblinkc.STATE_set_catalogs_get,
        "set_observatory" : fitsblinkc.STATE_set_observatory_get,
        "set_display" : fitsblinkc.STATE_set_display_get,
        "set_mail" : fitsblinkc.STATE_set_mail_get,
        "set_help" : fitsblinkc.STATE_set_help_get,
        "set_commands" : fitsblinkc.STATE_set_commands_get,
        "set_asteroid" : fitsblinkc.STATE_set_asteroid_get,
        "set_ccd" : fitsblinkc.STATE_set_ccd_get,
        "set_count" : fitsblinkc.STATE_set_count_get,
        "set_match" : fitsblinkc.STATE_set_match_get,
        "set_misc" : fitsblinkc.STATE_set_misc_get,
        "showcomet" : fitsblinkc.STATE_showcomet_get,
        "telescope" : fitsblinkc.STATE_telescope_get,
        "message" : fitsblinkc.STATE_message_get,
        "matchedobjects" : fitsblinkc.STATE_matchedobjects_get,
        "dss" : fitsblinkc.STATE_dss_get,
        "b" : fitsblinkc.STATE_b_get,
        "zoom_width" : fitsblinkc.STATE_zoom_width_get,
        "freeze" : fitsblinkc.STATE_freeze_get,
        "xf" : fitsblinkc.STATE_xf_get,
        "yf" : fitsblinkc.STATE_yf_get,
        "blink" : fitsblinkc.STATE_blink_get,
        "blinknum" : fitsblinkc.STATE_blinknum_get,
        "grey_max" : fitsblinkc.STATE_grey_max_get,
        "color" : fitsblinkc.STATE_color_get,
        "inverse" : fitsblinkc.STATE_inverse_get,
        "pixel" : fitsblinkc.STATE_pixel_get,
        "logfile" : fitsblinkc.STATE_logfile_get,
        "logfp" : fitsblinkc.STATE_logfp_get,
        "interactive" : fitsblinkc.STATE_interactive_get,
        "verbose" : fitsblinkc.STATE_verbose_get,
        "script" : fitsblinkc.STATE_script_get,
        "doastr" : fitsblinkc.STATE_doastr_get,
        "delay" : fitsblinkc.STATE_delay_get,
        "autolevel_high" : fitsblinkc.STATE_autolevel_high_get,
        "timeout" : fitsblinkc.STATE_timeout_get,
        "wwwbrowser" : fitsblinkc.STATE_wwwbrowser_get,
        "helpfile" : fitsblinkc.STATE_helpfile_get,
        "asteroid_server" : fitsblinkc.STATE_asteroid_server_get,
        "asteroid_id" : fitsblinkc.STATE_asteroid_id_get,
        "asteroid_maxmag" : fitsblinkc.STATE_asteroid_maxmag_get,
        "starlistformat" : fitsblinkc.STATE_starlistformat_get,
        "dss_big" : fitsblinkc.STATE_dss_big_get,
        "dss_server" : fitsblinkc.STATE_dss_server_get,
        "desig_prefix" : fitsblinkc.STATE_desig_prefix_get,
        "desig" : fitsblinkc.STATE_desig_get,
    }
    def __getattr__(self,name):
        method = STATE.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C STATE instance at %s>" % (self.this,)
class STATEPtr(STATE):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = STATE



class FITSFILE:
    def __init__(self,this):
        self.this = this

    __setmethods__ = {
        "simple" : fitsblinkc.FITSFILE_simple_set,
        "bitpix" : fitsblinkc.FITSFILE_bitpix_set,
        "naxis" : fitsblinkc.FITSFILE_naxis_set,
        "fptr" : fitsblinkc.FITSFILE_fptr_set,
        "crval1" : fitsblinkc.FITSFILE_crval1_set,
        "crval2" : fitsblinkc.FITSFILE_crval2_set,
        "crpix1" : fitsblinkc.FITSFILE_crpix1_set,
        "crpix2" : fitsblinkc.FITSFILE_crpix2_set,
        "cdelt1" : fitsblinkc.FITSFILE_cdelt1_set,
        "cdelt2" : fitsblinkc.FITSFILE_cdelt2_set,
        "crot" : fitsblinkc.FITSFILE_crot_set,
        "wcs" : fitsblinkc.FITSFILE_wcs_set,
        "matched" : fitsblinkc.FITSFILE_matched_set,
        "sizex" : fitsblinkc.FITSFILE_sizex_set,
        "sizey" : fitsblinkc.FITSFILE_sizey_set,
        "is_date_obs" : fitsblinkc.FITSFILE_is_date_obs_set,
        "is_exposure" : fitsblinkc.FITSFILE_is_exposure_set,
        "is_ut_start" : fitsblinkc.FITSFILE_is_ut_start_set,
        "is_ut_cent" : fitsblinkc.FITSFILE_is_ut_cent_set,
        "is_ut_end" : fitsblinkc.FITSFILE_is_ut_end_set,
        "is_time_beg" : fitsblinkc.FITSFILE_is_time_beg_set,
        "is_time_end" : fitsblinkc.FITSFILE_is_time_end_set,
        "exposure" : fitsblinkc.FITSFILE_exposure_set,
        "ccd_temp" : fitsblinkc.FITSFILE_ccd_temp_set,
        "temperat" : fitsblinkc.FITSFILE_temperat_set,
        "pressure" : fitsblinkc.FITSFILE_pressure_set,
        "humidity" : fitsblinkc.FITSFILE_humidity_set,
        "equinox" : fitsblinkc.FITSFILE_equinox_set,
        "name" : fitsblinkc.FITSFILE_name_set,
        "jd" : fitsblinkc.FITSFILE_jd_set,
    }
    def __setattr__(self,name,value):
        if (name == "this") or (name == "thisown"): self.__dict__[name] = value; return
        method = FITSFILE.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value
    __getmethods__ = {
        "simple" : fitsblinkc.FITSFILE_simple_get,
        "bitpix" : fitsblinkc.FITSFILE_bitpix_get,
        "naxis" : fitsblinkc.FITSFILE_naxis_get,
        "nax" : fitsblinkc.FITSFILE_nax_get,
        "fptr" : fitsblinkc.FITSFILE_fptr_get,
        "ctype1" : fitsblinkc.FITSFILE_ctype1_get,
        "ctype2" : fitsblinkc.FITSFILE_ctype2_get,
        "crval1" : fitsblinkc.FITSFILE_crval1_get,
        "crval2" : fitsblinkc.FITSFILE_crval2_get,
        "crpix1" : fitsblinkc.FITSFILE_crpix1_get,
        "crpix2" : fitsblinkc.FITSFILE_crpix2_get,
        "cdelt1" : fitsblinkc.FITSFILE_cdelt1_get,
        "cdelt2" : fitsblinkc.FITSFILE_cdelt2_get,
        "crot" : fitsblinkc.FITSFILE_crot_get,
        "ctype" : fitsblinkc.FITSFILE_ctype_get,
        "wcs" : fitsblinkc.FITSFILE_wcs_get,
        "matched" : fitsblinkc.FITSFILE_matched_get,
        "sizex" : fitsblinkc.FITSFILE_sizex_get,
        "sizey" : fitsblinkc.FITSFILE_sizey_get,
        "telescope" : fitsblinkc.FITSFILE_telescope_get,
        "instrument" : fitsblinkc.FITSFILE_instrument_get,
        "observer" : fitsblinkc.FITSFILE_observer_get,
        "date_obs" : fitsblinkc.FITSFILE_date_obs_get,
        "ut_start" : fitsblinkc.FITSFILE_ut_start_get,
        "ut_cent" : fitsblinkc.FITSFILE_ut_cent_get,
        "ut_end" : fitsblinkc.FITSFILE_ut_end_get,
        "time_beg" : fitsblinkc.FITSFILE_time_beg_get,
        "time_end" : fitsblinkc.FITSFILE_time_end_get,
        "object" : fitsblinkc.FITSFILE_object_get,
        "is_date_obs" : fitsblinkc.FITSFILE_is_date_obs_get,
        "is_exposure" : fitsblinkc.FITSFILE_is_exposure_get,
        "is_ut_start" : fitsblinkc.FITSFILE_is_ut_start_get,
        "is_ut_cent" : fitsblinkc.FITSFILE_is_ut_cent_get,
        "is_ut_end" : fitsblinkc.FITSFILE_is_ut_end_get,
        "is_time_beg" : fitsblinkc.FITSFILE_is_time_beg_get,
        "is_time_end" : fitsblinkc.FITSFILE_is_time_end_get,
        "time" : fitsblinkc.FITSFILE_time_get,
        "exposure" : fitsblinkc.FITSFILE_exposure_get,
        "ccd_temp" : fitsblinkc.FITSFILE_ccd_temp_get,
        "temperat" : fitsblinkc.FITSFILE_temperat_get,
        "pressure" : fitsblinkc.FITSFILE_pressure_get,
        "humidity" : fitsblinkc.FITSFILE_humidity_get,
        "equinox" : fitsblinkc.FITSFILE_equinox_get,
        "name" : fitsblinkc.FITSFILE_name_get,
        "jd" : fitsblinkc.FITSFILE_jd_get,
    }
    def __getattr__(self,name):
        method = FITSFILE.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C FITSFILE instance at %s>" % (self.this,)
class FITSFILEPtr(FITSFILE):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = FITSFILE



class FITS_IMAGE:
    def __init__(self,this):
        self.this = this

    __setmethods__ = {
        "width" : fitsblinkc.FITS_IMAGE_width_set,
        "height" : fitsblinkc.FITS_IMAGE_height_set,
        "x1" : fitsblinkc.FITS_IMAGE_x1_set,
        "y1" : fitsblinkc.FITS_IMAGE_y1_set,
        "x2" : fitsblinkc.FITS_IMAGE_x2_set,
        "y2" : fitsblinkc.FITS_IMAGE_y2_set,
        "image" : fitsblinkc.FITS_IMAGE_image_set,
        "pi" : fitsblinkc.FITS_IMAGE_pi_set,
        "fitmeasure" : fitsblinkc.FITS_IMAGE_fitmeasure_set,
        "minbright" : fitsblinkc.FITS_IMAGE_minbright_set,
        "minstar" : fitsblinkc.FITS_IMAGE_minstar_set,
        "maxsize" : fitsblinkc.FITS_IMAGE_maxsize_set,
        "sg_num" : fitsblinkc.FITS_IMAGE_sg_num_set,
        "border" : fitsblinkc.FITS_IMAGE_border_set,
        "satlevel" : fitsblinkc.FITS_IMAGE_satlevel_set,
        "aperture" : fitsblinkc.FITS_IMAGE_aperture_set,
        "inner" : fitsblinkc.FITS_IMAGE_inner_set,
        "outer" : fitsblinkc.FITS_IMAGE_outer_set,
        "blur" : fitsblinkc.FITS_IMAGE_blur_set,
        "median" : fitsblinkc.FITS_IMAGE_median_set,
        "name" : fitsblinkc.FITS_IMAGE_name_set,
    }
    def __setattr__(self,name,value):
        if (name == "this") or (name == "thisown"): self.__dict__[name] = value; return
        method = FITS_IMAGE.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value
    __getmethods__ = {
        "width" : fitsblinkc.FITS_IMAGE_width_get,
        "height" : fitsblinkc.FITS_IMAGE_height_get,
        "x1" : fitsblinkc.FITS_IMAGE_x1_get,
        "y1" : fitsblinkc.FITS_IMAGE_y1_get,
        "x2" : fitsblinkc.FITS_IMAGE_x2_get,
        "y2" : fitsblinkc.FITS_IMAGE_y2_get,
        "image" : fitsblinkc.FITS_IMAGE_image_get,
        "pi" : fitsblinkc.FITS_IMAGE_pi_get,
        "fitmeasure" : fitsblinkc.FITS_IMAGE_fitmeasure_get,
        "minbright" : fitsblinkc.FITS_IMAGE_minbright_get,
        "minstar" : fitsblinkc.FITS_IMAGE_minstar_get,
        "maxsize" : fitsblinkc.FITS_IMAGE_maxsize_get,
        "sg_num" : fitsblinkc.FITS_IMAGE_sg_num_get,
        "border" : fitsblinkc.FITS_IMAGE_border_get,
        "satlevel" : fitsblinkc.FITS_IMAGE_satlevel_get,
        "aperture" : fitsblinkc.FITS_IMAGE_aperture_get,
        "inner" : fitsblinkc.FITS_IMAGE_inner_get,
        "outer" : fitsblinkc.FITS_IMAGE_outer_get,
        "blur" : fitsblinkc.FITS_IMAGE_blur_get,
        "median" : fitsblinkc.FITS_IMAGE_median_get,
        "name" : fitsblinkc.FITS_IMAGE_name_get,
    }
    def __getattr__(self,name):
        method = FITS_IMAGE.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C FITS_IMAGE instance at %s>" % (self.this,)
class FITS_IMAGEPtr(FITS_IMAGE):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = FITS_IMAGE



class BLINK_FRAME:
    def __init__(self,this):
        self.this = this

    def __getitem__(*args):
        val = apply(fitsblinkc.BLINK_FRAME___getitem__,args)
        if val: val = BLINK_FRAMEPtr(val) ; val.thisown = 1
        return val
    __setmethods__ = {
        "dx" : fitsblinkc.BLINK_FRAME_dx_set,
        "dy" : fitsblinkc.BLINK_FRAME_dy_set,
        "alfa" : fitsblinkc.BLINK_FRAME_alfa_set,
        "a" : fitsblinkc.BLINK_FRAME_a_set,
        "b" : fitsblinkc.BLINK_FRAME_b_set,
        "d" : fitsblinkc.BLINK_FRAME_d_set,
        "e" : fitsblinkc.BLINK_FRAME_e_set,
        "ra" : fitsblinkc.BLINK_FRAME_ra_set,
        "dec" : fitsblinkc.BLINK_FRAME_dec_set,
        "fi" : fitsblinkc.BLINK_FRAME_fi_set,
        "xsize" : fitsblinkc.BLINK_FRAME_xsize_set,
        "ysize" : fitsblinkc.BLINK_FRAME_ysize_set,
        "year" : fitsblinkc.BLINK_FRAME_year_set,
        "month" : fitsblinkc.BLINK_FRAME_month_set,
        "day" : fitsblinkc.BLINK_FRAME_day_set,
        "hour" : fitsblinkc.BLINK_FRAME_hour_set,
        "minute" : fitsblinkc.BLINK_FRAME_minute_set,
        "second" : fitsblinkc.BLINK_FRAME_second_set,
        "gamx" : fitsblinkc.BLINK_FRAME_gamx_set,
        "gamy" : fitsblinkc.BLINK_FRAME_gamy_set,
        "kg" : fitsblinkc.BLINK_FRAME_kg_set,
        "ngam" : fitsblinkc.BLINK_FRAME_ngam_set,
        "low" : fitsblinkc.BLINK_FRAME_low_set,
        "high" : fitsblinkc.BLINK_FRAME_high_set,
        "histx" : fitsblinkc.BLINK_FRAME_histx_set,
        "histy" : fitsblinkc.BLINK_FRAME_histy_set,
        "xmin" : fitsblinkc.BLINK_FRAME_xmin_set,
        "xmax" : fitsblinkc.BLINK_FRAME_xmax_set,
        "nhisto" : fitsblinkc.BLINK_FRAME_nhisto_set,
        "name" : fitsblinkc.BLINK_FRAME_name_set,
        "pixmap" : fitsblinkc.BLINK_FRAME_pixmap_set,
        "fits" : fitsblinkc.BLINK_FRAME_fits_set,
        "astrwin" : fitsblinkc.BLINK_FRAME_astrwin_set,
        "fitsfile" : fitsblinkc.BLINK_FRAME_fitsfile_set,
        "obj" : fitsblinkc.BLINK_FRAME_obj_set,
        "objnum" : fitsblinkc.BLINK_FRAME_objnum_set,
        "objmax" : fitsblinkc.BLINK_FRAME_objmax_set,
        "objshow" : fitsblinkc.BLINK_FRAME_objshow_set,
        "grey_max" : fitsblinkc.BLINK_FRAME_grey_max_set,
        "detect" : fitsblinkc.BLINK_FRAME_detect_set,
        "matched" : fitsblinkc.BLINK_FRAME_matched_set,
        "match" : fitsblinkc.BLINK_FRAME_match_set,
        "map" : fitsblinkc.BLINK_FRAME_map_set,
        "imagelist" : fitsblinkc.BLINK_FRAME_imagelist_set,
        "cataloglist" : fitsblinkc.BLINK_FRAME_cataloglist_set,
    }
    def __setattr__(self,name,value):
        if (name == "this") or (name == "thisown"): self.__dict__[name] = value; return
        method = BLINK_FRAME.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value
    __getmethods__ = {
        "dx" : fitsblinkc.BLINK_FRAME_dx_get,
        "dy" : fitsblinkc.BLINK_FRAME_dy_get,
        "alfa" : fitsblinkc.BLINK_FRAME_alfa_get,
        "a" : fitsblinkc.BLINK_FRAME_a_get,
        "b" : fitsblinkc.BLINK_FRAME_b_get,
        "d" : fitsblinkc.BLINK_FRAME_d_get,
        "e" : fitsblinkc.BLINK_FRAME_e_get,
        "ra" : fitsblinkc.BLINK_FRAME_ra_get,
        "dec" : fitsblinkc.BLINK_FRAME_dec_get,
        "fi" : fitsblinkc.BLINK_FRAME_fi_get,
        "xsize" : fitsblinkc.BLINK_FRAME_xsize_get,
        "ysize" : fitsblinkc.BLINK_FRAME_ysize_get,
        "year" : fitsblinkc.BLINK_FRAME_year_get,
        "month" : fitsblinkc.BLINK_FRAME_month_get,
        "day" : fitsblinkc.BLINK_FRAME_day_get,
        "hour" : fitsblinkc.BLINK_FRAME_hour_get,
        "minute" : fitsblinkc.BLINK_FRAME_minute_get,
        "second" : fitsblinkc.BLINK_FRAME_second_get,
        "gamx" : fitsblinkc.BLINK_FRAME_gamx_get,
        "gamy" : fitsblinkc.BLINK_FRAME_gamy_get,
        "kg" : fitsblinkc.BLINK_FRAME_kg_get,
        "ngam" : fitsblinkc.BLINK_FRAME_ngam_get,
        "low" : fitsblinkc.BLINK_FRAME_low_get,
        "high" : fitsblinkc.BLINK_FRAME_high_get,
        "histx" : fitsblinkc.BLINK_FRAME_histx_get,
        "histy" : fitsblinkc.BLINK_FRAME_histy_get,
        "xmin" : fitsblinkc.BLINK_FRAME_xmin_get,
        "xmax" : fitsblinkc.BLINK_FRAME_xmax_get,
        "nhisto" : fitsblinkc.BLINK_FRAME_nhisto_get,
        "name" : fitsblinkc.BLINK_FRAME_name_get,
        "pixmap" : fitsblinkc.BLINK_FRAME_pixmap_get,
        "fits" : lambda x : FITS_IMAGEPtr(fitsblinkc.BLINK_FRAME_fits_get(x)),
        "astrwin" : lambda x : FITS_IMAGEPtr(fitsblinkc.BLINK_FRAME_astrwin_get(x)),
        "fitsfile" : lambda x : FITSFILEPtr(fitsblinkc.BLINK_FRAME_fitsfile_get(x)),
        "obj" : fitsblinkc.BLINK_FRAME_obj_get,
        "objnum" : fitsblinkc.BLINK_FRAME_objnum_get,
        "objmax" : fitsblinkc.BLINK_FRAME_objmax_get,
        "objshow" : fitsblinkc.BLINK_FRAME_objshow_get,
        "grey_max" : fitsblinkc.BLINK_FRAME_grey_max_get,
        "detect" : fitsblinkc.BLINK_FRAME_detect_get,
        "matched" : fitsblinkc.BLINK_FRAME_matched_get,
        "match" : fitsblinkc.BLINK_FRAME_match_get,
        "map" : fitsblinkc.BLINK_FRAME_map_get,
        "imagelist" : lambda x : STARSPtr(fitsblinkc.BLINK_FRAME_imagelist_get(x)),
        "cataloglist" : lambda x : STARSPtr(fitsblinkc.BLINK_FRAME_cataloglist_get(x)),
    }
    def __getattr__(self,name):
        method = BLINK_FRAME.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C BLINK_FRAME instance at %s>" % (self.this,)
class BLINK_FRAMEPtr(BLINK_FRAME):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = BLINK_FRAME





#-------------- FUNCTION WRAPPERS ------------------

int_array = fitsblinkc.int_array

int_destroy = fitsblinkc.int_destroy

int_get = fitsblinkc.int_get

int_set = fitsblinkc.int_set

double_array = fitsblinkc.double_array

double_destroy = fitsblinkc.double_destroy

double_get = fitsblinkc.double_get

double_set = fitsblinkc.double_set

float_array = fitsblinkc.float_array

float_destroy = fitsblinkc.float_destroy

float_get = fitsblinkc.float_get

float_set = fitsblinkc.float_set

string_array = fitsblinkc.string_array

string_destroy = fitsblinkc.string_destroy

string_get = fitsblinkc.string_get

string_set = fitsblinkc.string_set

main0 = fitsblinkc.main0

julian_day = fitsblinkc.julian_day

load_image = fitsblinkc.load_image

colormap = fitsblinkc.colormap

resize_blinker = fitsblinkc.resize_blinker

resize_image = fitsblinkc.resize_image

full_image = fitsblinkc.full_image

markers = fitsblinkc.markers

blink = fitsblinkc.blink

set_delay = fitsblinkc.set_delay

loop = fitsblinkc.loop

find_marker_color = fitsblinkc.find_marker_color

find_marker_shape = fitsblinkc.find_marker_shape

check_exception = fitsblinkc.check_exception

Video_point = fitsblinkc.Video_point

Set_point = fitsblinkc.Set_point

Xor_point = fitsblinkc.Xor_point

Set_offset = fitsblinkc.Set_offset

Detect_stars = fitsblinkc.Detect_stars

Match_stars = fitsblinkc.Match_stars

Star_list = fitsblinkc.Star_list

Load_star_list = fitsblinkc.Load_star_list

Blur = fitsblinkc.Blur

Append_marker = fitsblinkc.Append_marker

Remove_marker = fitsblinkc.Remove_marker

Set_image = fitsblinkc.Set_image

Erase_image = fitsblinkc.Erase_image

Draw_image = fitsblinkc.Draw_image

DSSload = fitsblinkc.DSSload

get_dss_image = fitsblinkc.get_dss_image



#-------------- VARIABLE WRAPPERS ------------------

cvar = fitsblinkc.cvar
state = STATEPtr(fitsblinkc.cvar.state)
frame = BLINK_FRAMEPtr(fitsblinkc.cvar.frame)
